Get Active Reminders (for current user)
curl --request GET \
--url https://api.virtuoussoftware.com/api/Reminder/Active \
--header 'Authorization: Bearer <token>'{
"list": [
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
},
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
],
"total": "<integer>"
}Reminders (Deprecated)
Get Active Reminders (for current user)
GET
/
api
/
Reminder
/
Active
Get Active Reminders (for current user)
curl --request GET \
--url https://api.virtuoussoftware.com/api/Reminder/Active \
--header 'Authorization: Bearer <token>'{
"list": [
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
},
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of active reminders to skip.
The number of active reminders to take.
The search criteria.
Last modified on June 5, 2026
Was this page helpful?
⌘I